#!/bin/bash
echo '---------------------------------------------'
echo 'Verificando Conexión Gestor de FE'
echo '---------------------------------------------'

# Función para realizar la solicitud HTTP o HTTPS
make_request() {
    local protocol=$1
    local entidad=$2
    local user=$3
    local password=$4
    local url="$protocol://localhost:8081/api/login"  # Cambiar la URL si es necesario para HTTPS

    if curl --silent --output /dev/null --write-out "%{http_code}" --location \
        --header "entidad: $entidad" \
        --header 'Content-Type: application/json' \
        --data "{
            \"user\": \"$user\",
            \"password\": \"$password\"
        }" "$url" | grep -q "200"; then
        echo "La solicitud se realizó correctamente. El código de estado es 200."
    else
        echo "Hubo un problema al realizar la solicitud. El código de estado no es 200."
    fi
}

while true; do
    echo "Seleccione una opción:"
    echo "1. HTTP"
    echo "2. HTTPS"
    echo "3. Salir"
    read opcion

    case $opcion in
        1)
            echo "Ingrese la entidad:"
            read entidad
            echo "Ingrese el usuario:"
            read user
            echo "Ingrese la contraseña:"
            read password
            make_request "http" "$entidad" "$user" "$password"
            ;;
        2)
            echo "Ingrese la entidad:"
            read entidad
            echo "Ingrese el usuario:"
            read user
            echo "Ingrese la contraseña:"
            read password
            make_request "https" "$entidad" "$user" "$password"
            ;;
        3)
            exit
            ;;
        *)
            echo "Opción inválida"
            ;;
    esac
done